<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"

"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Solution Grove Web Desktop</title>
	<link rel="stylesheet" href="mashups.css" type="text/css" media="screen" />  

	@ah_sources;noquote@

	<script language="javascript">
	//<!--
	var map; 
	var startpoint; 
	var baseIcon; 
	var markers = [];
	//-->
	</script>

	<script src="http://maps.google.com/maps?file=api&v=2&key=@google_api_key;noquote@" type="text/javascript"></script>

</head>
<body>

<div id="loading">
  <br /><br /><br /><br /><br /><br />
  <img src="@ah_url;noquote@images/indicator_big.gif" border=0>
  <br><b>Loading your desktop. 
  <br>Please wait ...</b>
</div>

<div id="page" style="display:none">

  <div id="subheader">
	  <div id="topnav"><a href="/blogger/">News</a> | <a href="/products/">Products</a> | <a href="/about/">About Us</a></div>
	  <div id="userbar"></div>
  </div>
  <div id="secondaryheader">
	  <div class="button"><a href="javascript:void(0)" id="addstuffbutton">&nbsp;Add Stuff&nbsp;</a></div>
	  <div style="text-align:right; font-size:12px; font-weight:bold; margin-right: 10px;">Who's Online : <a href="#">@num_users_online@ <if @num_users_online@ eq 1>member</if><else>members</else></a></div>
  </div>

  <div id="adminportlet" class="portlet" style="display:none"></div>
  <div id="mapcontainer" class="portlet" style="display:none">
	<table class="portlet-title" border="0" cellpadding="1" cellspacing="0" width="100%">
		<tbody>
			<tr>
				<td width="5" >&nbsp;</td>
				<td onmouseover="this.style.cursor='move'">Map</td>
				<td align="right" width="50px">
					<table border=0 cellpadding=0 cellspacing=0>
					<tbody>
						<tr>
							<td align="right"></td>
							<td align="right"><div id="mapclose" class="window_btn"><a href="javascript:void(0);" onClick="Effect.Fade('mapcontainer');" title="Close/Delete"> X </a></div></td>
						</tr>
					</tbody>
					</table>
				</td>
			</tr>
		</tbody>
	</table>
	<br />
	<div id="map" style="width:550px;height:340px;margin:auto;"></div>
	<div id="mapnavi">
	<img src="yellow.png">&nbsp;<a href="javascript:void(0);" id="showloclinkfrommap" style="color:blue">Me on the Map</a>&nbsp;
	<img src="lightblue.png">&nbsp;<a href="javascript:void(0);" onclick="showallvisitors();" style="color:blue">All Visitors</a>&nbsp;
	<!-- <img src="green.png">&nbsp;<a href="javascript:void(0);" onclick="showwhosonline();" style="color:blue">Who's Online</a> -->
	</div>
  </div>

  <div id="portalpage">
	  <div id="pageTitle"><div id="titlecontent">@page_title@</div></div>
  
	  <div id="column1" class="column">
		  <multiple name="colitems">
			  <if @colitems.column_n@ eq 1>
				  <include src="/packages/mashups/www/portlet" id="@colitems.id@" type_id=@colitems.type_id@ title="@colitems.title@" reference_id="@colitems.content_id@" column_n="@colitems.column_n@" />
			  </if>
		  </multiple>
	  </div>
  
	  <div id="column2" class="column">
		  <multiple name="colitems">
			  <if @colitems.column_n@ eq 2>
				  <include src="/packages/mashups/www/portlet" id="@colitems.id@" type_id=@colitems.type_id@ title="@colitems.title@" reference_id="@colitems.content_id@" column_n="@colitems.column_n@" />
			  </if>
		  </multiple>
	  </div>
  
	  <div id="column3" class="column">
		  <multiple name="colitems">
			  <if @colitems.column_n@ eq 3>
				  <include src="/packages/mashups/www/portlet" id="@colitems.id@" type_id=@colitems.type_id@ title="@colitems.title@" reference_id="@colitems.content_id@" column_n="@colitems.column_n@" />
			  </if>
		  </multiple>
	  </div>

  </div>
</div>

<if @loggedin_p@ eq 0>

        <div id="signupdiv" style="position:relative;display:none;margin:auto;width:300px;height:360px;top:80px;border:thin solid #cccccc;padding:5px;">
                <div style="float:left"><font size="10px">Sign Up</font></div>
                <div style="clear:both"></div>
                <hr>
                <br /><div id="signup_form_error" style="position:relative;font-weight:bold;color:red;">&nbsp;</div><br>
                <div id="formcontent" style="clear:both;">
                        <form id="signup_form" name="signup_form" method="post">
                                <input type="hidden" id="user_id" name="user_id" value="@user_id@">
                                <table border=0 cellpadding=2 cellspacing=0 width="100%">
                                <tr><td>Email</td><td><input type="text" id="email" name="email" value="" onchange="signup_field_validate('email',this);"></td></tr>
                                <tr><td>First Name</td><td><input type="text" id="fnames" name="fnames" value=""></td></tr>
                                <tr><td>Last Name</td><td><input type="text" id="lname" name="lname" value=""></td></tr>
                                <tr><td>Password</td><td><input type="password" id="password" name="password" value=""></td></tr>
                                <tr><td>Confirm Password&nbsp;</td><td><input type="password" id="passwordconfirm" name="passwordconfirm" value="" onchange="signup_field_validate('passwordconfirm',this);"></td></tr>
                                <tr><td>User Name</td><td><input type="text" id="screen_name" name="screen_name" value="" onchange="signup_field_validate('username',this);"></td></tr>
                                <tr><td colspan=2 align="center"><br><input type="button" onclick="signup_form_submit();" id="submit_register" name="submit_register" style="width:80px;" value="Register">&nbsp;<input type="button" onclick="javascript:signup_off()" style="width:80px;" id="cancel_register" name="cancel_register" value="Cancel"></td></tr>
                                </table>
                        </form>
                </div>
                <div id="processing" style="position:relative;clear:both;text-align:center;display:none">
                        You have been successfully registered.<br>Click <a href="/register/?return_url=/mashup">here</a> to login.
                </div>
        </div>
</if>

@scripts;noquote@

</body>
</html>
